package org.nakedobjects.nos.remote.command.pipe;

import org.nakedobjects.nos.remote.command.CommandClientConnection;
import org.nakedobjects.nos.remote.command.Request;
import org.nakedobjects.nos.remote.command.Response;


public class PipedClient implements CommandClientConnection {
    private PipedConnection communication;

    public void setConnection(final PipedConnection communication) {
        this.communication = communication;
    }

    public synchronized Response executeRemotely(Request request) {
        communication.setRequest(request);
        return communication.getResponse();
    }

    public void init() {}

    public void shutdown() {}
}
// Copyright (c) Naked Objects Group Ltd.
