package org.nakedobjects.nos.remote.command.java;

import org.nakedobjects.noa.persist.InstancesCriteria;
import org.nakedobjects.nof.reflect.remote.data.CriteriaData;

public abstract class AbstractCriteriaData implements CriteriaData {
    private static final long serialVersionUID = 1L;
    private final boolean includeSubclasses;
    private final String specification;

    public AbstractCriteriaData(InstancesCriteria instances) {
        specification = instances.getSpecification().getFullName();
        includeSubclasses = instances.includeSubclasses();
    }

    public boolean includeSubclasses() {
        return includeSubclasses;
    }

    public String getType() {
        return specification;
    }
}


// Copyright (c) Naked Objects Group Ltd.
