package org.nakedobjects.nos.remote.command.java;

import org.nakedobjects.nof.core.persist.TitleCriteria;


public class FindByTitleCriteriaData extends AbstractCriteriaData {
    private static final long serialVersionUID = 1L;
    private final String title;

    public FindByTitleCriteriaData(final TitleCriteria criteria) {
        super(criteria);
        title = criteria.getRequiredTitle();
    }

    public String getTitle() {
        return title;
    }

    public Class getCriteriaClass() {
        return TitleCriteria.class;
    }
}

// Copyright (c) Naked Objects Group Ltd.
